{
  "type": "minecraft:crafting_shaped",
  "group": "crate",
  "key": {
    "L": {
      "item": "minecraft:stripped_mangrove_log"
    },
    "P": {
      "item": "minecraft:mangrove_log"
    }
  },
  "pattern": [
    "LPL",
    "PLP",
    "LPL"
  ],
  "result": {
    "count": 2,
    "item": "cfm:stripped_mangrove_crate"
  }
}